[ARVADOS] updated: c7ee682e45f191903e5f82b0b5104aa236cfe2e0

git at public.curoverse.com git at public.curoverse.com
Tue Mar 11 10:11:46 EDT 2014


Summary of changes:
 docker/build.sh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

       via  c7ee682e45f191903e5f82b0b5104aa236cfe2e0 (commit)
      from  3bd6252a86bc5fc8697c9d4accb12ff3d43ca021 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit c7ee682e45f191903e5f82b0b5104aa236cfe2e0
Author: Tim Pierce <twp at curoverse.com>
Date:   Tue Mar 11 10:12:55 2014 -0400

    Force ruby1.9.3 install. (refs #2221)

diff --git a/docker/build.sh b/docker/build.sh
index 9473e01..add3194 100755
--- a/docker/build.sh
+++ b/docker/build.sh
@@ -1,11 +1,11 @@
 #! /bin/bash
 
-# make sure Ruby is installed before proceeding
-if ! ruby -v > /dev/null 2>&1
+# make sure Ruby 1.9.3 is installed before proceeding
+if ! ruby -v 2>/dev/null | grep '1\.9\.3' > /dev/null
 then
     echo "Installing Ruby. You may be required to enter your password."
     sudo apt-get update
-    sudo apt-get install ruby
+    sudo apt-get -y install ruby1.9.3
 fi
 
 ./build.rb $*

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list